<template>
	<div v-bind:id="id" class="modal fade" tabindex="-1" role="dialog" v-bind:aria-labelledby="id">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
			        </button>
					<h4 modal-title>{{ title }}</h4>
				</div>
				<div class="modal-body">
					<slot></slot>
				</div>
				<div class="modal-footer">
					<slot name="buttons"></slot>
					<button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
    export default {
    	props:["id","title"]
    }
</script>
